﻿
using System;
using Wisej.Web;
using System.Data;

namespace WebApplication3
{
    public partial class Window1 : Form
    {
        private int cols = 15;
        private int rows = 10;
        private DataTable dataTable = null;
        Random rndm = new Random();

        public Window1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            GetData();
            this.dataGridView1.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.Fill;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            GetData();
            this.dataGridView1.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
        }

        private void GetData()
        {
            CreateColumns();
            PopolateRows();
            this.dataGridView1.DataSource = null;
            this.dataGridView1.Rows.Clear();
            this.dataGridView1.DataSource = dataTable;
        }

        private void CreateColumns()
        {
            dataTable = new DataTable();
            for (int i = 0; i < cols; i++)
            {
                dataTable.Columns.Add(String.Format("Column {0}", i));
            }
        }

        private void PopolateRows()
        {
            for (int i = 0; i < rows; i++)
            {
                DataRow row = dataTable.NewRow();

                for (int y = 0; y < cols; y++)
                {
                    row[y] = String.Format("{0} TESTING IF GET THE ERROR", rndm.Next(0, 10000));
                }

                this.dataTable.Rows.Add(row);
            }
        }
    }
}
